Subject: bug#51518: closed (Re: bug#51518: native-compilation on OpenBSD)

From: [email-masked] (GNU bug Tracking System)
Date: Mon, 01 Nov 2021 12:13:02 +0000

Your bug report

#51518: native-compilation on OpenBSD

which was filed against the emacs package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
51518: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=51518
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#51518: native-compilation on OpenBSD
From: Eli Zaretskii <[email-masked]>
To: Han Boetes <[email-masked]>
Cc: [email-masked]
Date: Mon, 01 Nov 2021 14:12:36 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

> Date: Sun, 31 Oct 2021 23:13:23 +0100
> From: Han Boetes <[email-masked]>
> 
> Eli Zaretskii wrote:
> > > Date: Sat, 30 Oct 2021 20:00:21 +0200
> > > From: Han Boetes <[email-masked]>
> > > 
> > > bootstrap-emacs:/usr/local/lib/libgccjit.so.0.0.1: undefined symbol '_Z15fname_as_stringi'
> > > ld.so: bootstrap-emacs: lazy binding failed!
> > > Killed
> > > gmake[2]: *** [Makefile:316: emacs-lisp/macroexp.elc] Error 137
> > > gmake[2]: *** Waiting for unfinished jobs....
> > > bootstrap-emacs:/usr/local/lib/libgccjit.so.0.0.1: undefined symbol '_Z15fname_as_stringi'
> > > ld.so: bootstrap-emacs: lazy binding failed!
> > 
> > It looks like something is wrong with your installation of libgccjit.
> > I suggest to report this to the maintainers of the OpenBSD libgccjit
> > package.
> 
> Hello Eli,
> 
> Since this is off-topic for the bug list, here is the bug report:
> 
> https://gcc.gnu.org/bugzilla/show_bug.cgi?id=103016
> 
> In case you are interested.

Thanks.  I see it was already solved, so I'm closing this bug report.

Subject: native-compilation on OpenBSD
From: Han Boetes <[email-masked]>
To: [email-masked]
Date: Sat, 30 Oct 2021 20:00:21 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

Hi there,

I just tried building emacs with native compilation on OpenBSD-7.0 amd64 like this:

    export CC=egcc \
           CPP="ecpp" \
           CPPFLAGS="-I/usr/local/include" \
           LDFLAGS="-L/usr/local/lib"
    ./autogen.sh
    ./configure --without-makeinfo --without-x --mandir=/usr/local/man --with-native-compilation
    gmake

egcc (GCC) 11.2.0, is just gcc-11 which is traditionally installed as
egcc to avoid conflicts with the usually somewhat older gcc in base.

And it failed like this:
[snip]
Loading /usr/pkgmk/work/emacs/src/emacs/lisp/cus-start.el (source)...
Loading /usr/pkgmk/work/emacs/src/emacs/lisp/tooltip.el (source)...
Loading /usr/pkgmk/work/emacs/src/emacs/lisp/international/iso-transl.el (source)...
Finding pointers to doc strings...
Finding pointers to doc strings...done
Dumping under the name bootstrap-emacs.pdmp
Dumping fingerprint: 6275d2074be8b8265c9e8609334e5a89403dc7e2e79f1502686222fb42e63ba4
Dump complete
Byte counts: header=100 hot=14380404 discardable=161696 cold=10088576
Reloc counts: hot=1011990 discardable=4727
gmake -C ../lisp compile-first EMACS="../src/bootstrap-emacs"
gmake[2]: Entering directory '/usr/obj/work/emacs/src/emacs/lisp'
  ELC+ELN  emacs-lisp/macroexp.elc
  ELC+ELN  emacs-lisp/byte-opt.elc
  ELC+ELN  emacs-lisp/cconv.elc
  ELC+ELN  emacs-lisp/bytecomp.elc
bootstrap-emacs:/usr/local/lib/libgccjit.so.0.0.1: undefined symbol '_Z15fname_as_stringi'
ld.so: bootstrap-emacs: lazy binding failed!
Killed
gmake[2]: *** [Makefile:316: emacs-lisp/macroexp.elc] Error 137
gmake[2]: *** Waiting for unfinished jobs....
bootstrap-emacs:/usr/local/lib/libgccjit.so.0.0.1: undefined symbol '_Z15fname_as_stringi'
ld.so: bootstrap-emacs: lazy binding failed!
Killed
gmake[2]: *** [Makefile:316: emacs-lisp/byte-opt.elc] Error 137
bootstrap-emacs:/usr/local/lib/libgccjit.so.0.0.1: undefined symbol '_Z15fname_as_stringi'
ld.so: bootstrap-emacs: lazy binding failed!
Killed
gmake[2]: *** [Makefile:316: emacs-lisp/cconv.elc] Error 137
bootstrap-emacs:/usr/local/lib/libgccjit.so.0.0.1: undefined symbol '_Z15fname_as_stringi'
ld.so: bootstrap-emacs: lazy binding failed!
Killed
gmake[2]: *** [Makefile:316: emacs-lisp/bytecomp.elc] Error 137
gmake[2]: Leaving directory '/usr/obj/work/emacs/src/emacs/lisp'
gmake[1]: *** [Makefile:860: bootstrap-emacs.pdmp] Error 2
gmake[1]: Leaving directory '/usr/obj/work/emacs/src/emacs/src'
gmake: *** [Makefile:450: src] Error 2

Please tell me what else you'd like to know and I'll provide it.

# Han